tigase.stats

## Class CounterDataLogger

- java.lang.Object
- - tigase.stats.CounterDataLogger

- All Implemented Interfaces:
    ConfigurationChangedAware, Initializable, RegistrarBean, StatisticsArchivizerIfc

      @Bean(name="counter-data-logger",
            parent=StatisticsCollector.class,
            active=false)
      public class CounterDataLogger
      extends Object
      implements StatisticsArchivizerIfc, ConfigurationChangedAware, Initializable, RegistrarBean

  Created: Apr 20, 2010 6:39:05 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `defaultHostname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterDataLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beanConfigurationChanged(Collection<String> changedFields)` Method called when configuration was applied to bean.
    `void` | `execute(StatisticsProvider sp)`
    `long` | `getFrequency()`
    `void` | `initialize()` Method will be called, when bean will be created, configured and ready to use.
    `void` | `register(Kernel kernel)` Method called when bean is being registered allowing developer to programatically register other beans.
    `void` | `release()`
    `void` | `unregister(Kernel kernel)` Method called while bean is being unregistered.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultHostname

          protected static String defaultHostname

  - ### Constructor Detail

    - #### CounterDataLogger

          public CounterDataLogger()

  - ### Method Detail

    - #### beanConfigurationChanged

          public void beanConfigurationChanged(Collection<String> changedFields)

      Description copied from interface: `ConfigurationChangedAware`
      Method called when configuration was applied to bean.
      Specified by:
        `beanConfigurationChanged` in interface `ConfigurationChangedAware`
      Parameters:
        `changedFields` - collection of field names which were changed

    - #### execute

          public void execute(StatisticsProvider sp)

      Specified by:
        `execute` in interface `StatisticsArchivizerIfc`

    - #### getFrequency

          public long getFrequency()

      Specified by:
        `getFrequency` in interface `StatisticsArchivizerIfc`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

    - #### register

          public void register(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called when bean is being registered allowing developer to programatically register other beans.
      Specified by:
        `register` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

    - #### unregister

          public void unregister(Kernel kernel)

      Description copied from interface: `RegistrarBean`
      Method called while bean is being unregistered.
      Specified by:
        `unregister` in interface `RegistrarBean`
      Parameters:
        `kernel` - - instance from local scope

    - #### release

          public void release()

      Specified by:
        `release` in interface `StatisticsArchivizerIfc`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.